__gnu_cxx::sequence_buffer(3)

NAME
__gnu_cxx::sequence_buffer -

SYNOPSIS

Inherits iterator< std::output_iterator_tag, void, void, void, void >.

Detailed Description

  template<class _Sequence, size_t _Buf_sz = 100> class __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >

Definition at line 162 of file rope.

  Public Types
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Sequence::value_type value_type

  Public Member Functions
void append (value_type *__s, size_t __len)
void flush ()
sequence_buffer & operator * ()
sequence_buffer operator++ (int)
sequence_buffer & operator++ ()
sequence_buffer & operator= (const value_type &__rhs)
sequence_buffer & operator= (const sequence_buffer &__x)
sequence_buffer & operator= (sequence_buffer &__x)
void push_back (value_type __x)
sequence_buffer & put (value_type __x)
sequence_buffer (_Sequence &__s)
sequence_buffer (sequence_buffer &__x)
sequence_buffer (const sequence_buffer &__x)
sequence_buffer ()
sequence_buffer & write (value_type *__s, size_t __len)
~sequence_buffer ()

  Protected Attributes
size_t _M_buf_count
value_type _M_buffer [_Buf_sz]
_Sequence * _M_prefix

Member Typedef Documentation

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Sequence::value_type value_type

The type 'pointed to' by the iterator.

Reimplemented from iterator.

Definition at line 166 of file rope.

Author

Generated automatically by Doxygen for libstdc++ from the source code.